<template>
  <span class="bulk_assign_role">
    <div class="modal active"  id="modal-id">
      <span class="modal-overlay"></span>
      <div class="modal-container bulk" id ="modalContainer">
        <div class="modal-header">
          <a class="btn btn-clear float-right close-btn" aria-label="Close" v-on:click="closeModal" ></a>
          <div class="modal-title h5">Bulk Assign Role</div>
        </div>
        <div class="modal-body">
          <div class="content" id="content">
            
             
       <!-- Account tab info goes here -->  
       <form id="role_form">             
          <div class="columns show_div">
            <div class="column col-3 show_label">HR</div>
            <div class="column col-4 show_field"><input type="radio" name="role[name]" value="HR" v-model="role_checkbox"> </div>
          </div>
          <div class="columns show_div grey_div">
            <div class="column col-3 show_label">Employee</div>
            <div class="column col-4 show_field"><input type="radio" name="role[name]" value="Employee" v-model="role_checkbox"> </div>
          </div>
          <div class="columns show_div">
            <div class="column col-3 show_label">Cashier</div>
            <div class="column col-4 show_field"><input type="radio" name="role[name]" value="Cashier" v-model="role_checkbox"></div>
          </div>
          <div class="columns show_div grey_div">
            <div class="column col-3 show_label">Accountant</div>
            <div class="column col-4 show_field"><input type="radio" name="role[name]" value="Accountant" v-model="role_checkbox"></div>
          </div>
          <div class="columns show_div">
            <div class="column col-3 show_label">Manager</div>
            <div class="column col-4 show_field"><input type="radio" name="role[name]" value="Manager" v-model="role_checkbox"></div>
          </div>
          <div v-for="item in selectedRow" :key="item.id">           
           <input type="hidden" name="employees[]" v-model="item.email" >
          </div>
                 
          <div class="button_div3 columns column col12">
              <div class="column col6 cancel_group" v-on:click="closeModal" ><img src="images/icons/show_page_cancel.svg" alt="Cancel icon" class=""/><span class="icon_label">CANCEL</span></diV>
              <div class="column col6 right_align edit_group" v-on:click="submitRole"><img src="images/icons/show_page_edit.svg" alt="Submit icon" class=""/><span class="icon_label">SUBMIT</span></div>
          </div>
          </form> 
          </div>
        </div>
      </div>                   
    </div>
  </span>
</template>

<script>

export default {
  name:'bulk_assign_role',
  props: ['selectedRow'],
  data(){
    return{
      isActive :false,
      showForm: true,
      role_checkbox: ''
    }
  },  
  methods: {
    submitRole(e){
      e.preventDefault();
      console.log(this.role_checkbox)
      const axios = require("axios");
      var url = "/employees/roles";
      let csrf = document.querySelector("meta[name='csrf-token']").getAttribute("content");
      var role_form = document.getElementById("role_form");      
      var data = new FormData(role_form); 
      if (this.role_checkbox){    
      axios.post( url, data, { headers: {'Content-Type': 'application/json', 'x-csrf-token': csrf}})
      .then((response)=>{
        setTimeout (()=> {
        this.$emit('close-modal')}, 400);        
         });}
    },
    closeModal:function (event) {
      this.$emit('close-modal');
      
    }
  },

  mounted(){
    
  }
}

</script>